# Run Method

Two functions are used to run functions of PPG 3D classes specifically.

`RunMethod` is used to run a function in a singular defined object It uses 4 parameters.

1. Object - `GameObject`
2. Class - `string "className"`
3. Function - `string "functionName"`
4. Parameters - `object[]`

Example:

```csharp
GameObject.Find("Mod3DAPI").SendMessage("RunMethod", new object[]      
{
    Instance,
    "DPerson",
    "Die",
    new object[0] //creates an empty array. Look up a little to see how to create a proper array.
}, SendMessageOptions.DontRequireReceiver);
```

`RunMethodsInChildren` is used to run functions in the children and main object. It also uses 4 parameters.

1. Parent - `GameObject`
2. Class - `string "className"`
3. Function - `string "functionName"`
4. Parameters - `object[]`

Example:

```csharp
GameObject.Find("Mod3DAPI").SendMessage("ModifyPropertiesInChildren", new object[]          
{
		Instance,
		"Limb3D",
		"BreakBone",
		new object[] { true } //breakbone has a bool to make it silent
}, SendMessageOptions.DontRequireReceiver);
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.team-wilson.org/readme/api/run-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
